@import url('//cdnjs.cloudflare.com/ajax/libs/font-awesome/4.0.3/css/font-awesome.min.css');

body {
  /* background: #e9edf2; */
}

.menu,
.menu-bar {
  position: fixed;
  bottom: 0;
  top: 85px;
  left: 0;
  height: 90%;
  list-style-type: none;
  margin: 0;
  padding: 0;
  background: #ffffff;
  z-index: 1029;
  overflow: hidden;
  box-shadow: 1px 0 5px rgba(0, 0, 0, 0.26);
}

.menu li a {
  display: inline-block;
  padding-left: 15px;
  padding-right: 15px;
  /* padding-top: 20px; */
  line-height: 5em;
  text-align: center;
  color: #72739f;
  position: relative;
  border-bottom: 1px solid rgba(0, 0, 0, 0.15);
  text-decoration: none;
  transition: background 0.1s ease-in-out;
  border-left: 6px solid #fff !important;
}

.menu li a:before {
  font-family: FontAwesome;
  text-indent: 0em;
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
  height: 100%;
  font-size: 1.4em;
}

.menu li a.search:before {
  /* content: '\f1da'; */
}

.menu li a.archive:before {
  /* padding-top: 20px; */
  /* content: '\f187'; */
}

.menu li a.fa-pie-chart:before {
  /* padding-top: 20px; */
  /* content: '\f200'; */
}

.menu li a.pencil:before {
  /* content: '\f1da'; */
}

.menu li a.contact:before {
  /* content: '\f003'; */
}

.menu li a.about:before {
  /* content: '\f007'; */
}

.menu li a.home:before {
  /* content: '\f015'; */
}

.menu li a.graph:before {
  /* content: '\f080'; */
}

.menu li a.clas:before {
  padding-top: 20px;
  /* content: '\f160'; */
}

.menu-bar li a:hover,
.menu li a:hover {
  box-shadow: #009241 0 0 0px !important;
  border-left: 6px solid #009241 !important;
  background-color: #f7f7f7;
}

.menu li a.menu-active {
  box-shadow: #009241 0 0 0px !important;
  border-left: 6px solid #009241 !important;
  background-color: #f7f7f7;
}

@media all and (max-width: 500px) {
  .container {
    margin-top: 100px;
  }

  .menu {
    height: 5em;
    width: 100%;
  }

  .menu li {
    display: inline-block;
  }
}

@media screen and (max-height: 34em) {

  .menu li,
  .menu-bar {
    font-size: 70%i;
  }
}

@media screen and (max-height: 34em) and (max-width: 500px) {
  .menu {
    height: 3.5em;
  }
}

.custom-content {
  margin-left: 95px;
  margin-top: 100px;
}

@media only screen and (max-width: 500px) {
  .custom-content {
    margin-left: 0px;
    margin-top: 200px;
  }
}

#mapCanvas {
  width: 100%;
  height: 82vh;
  margin: 5px;
}

@media (min-width: 576px) {
  .rounded-nav {
    border-radius: 50rem !important;
  }
}

@media (min-width: 576px) {
  .rounded-nav .nav-link {
    border-radius: 50rem !important;
  }
}

/* With arrow tabs */

.with-arrow .nav-link.active {
  position: relative;
}

.with-arrow .nav-link.active::after {
  /* content: ''; */
  border-left: 9px solid transparent;
  border-right: 9px solid transparent;
  border-top: 9px solid #009241;
  position: absolute;
  bottom: -9px;
  left: 50%;
  transform: translateX(-50%);
  display: block;
}

/* lined tabs */

.lined .nav-link {
  border: none;
  border-bottom: 3.5px solid transparent;
  color: #000;
}

.lined .nav-link:hover {
  border: none;
  border-bottom: 3px solid transparent;
}

.lined .nav-link.active {
  background: none;
  color: #009241;
  border-color: #009241;
}

/* * table {
  width: 100%;
}
thead,
tbody tr {
  display: table;
  width: 100%;
  table-layout: fixed;
}
tbody {
  display: block;
  overflow-y: auto;
  table-layout:fixed;
  max-height: 500px;
}  */

.dropdown-menu-right {
  right: 0;
  left: auto;
}

#loading {
  position: fixed;
  width: 100%;
  height: 100vh;
  background-color: rgba(255, 255, 255, 0.7);
  z-index: 9999;
  text-align: center;
  display: flex;
  flex-direction: column;
}

.spinner {
  width: 50px;
  height: 40px;
  font-size: 10px;
  display: inline-block;
  margin-left: 25%;
  margin-top: 15%;
}

.spinner>div {
  background-color: #009241;
  height: 100%;
  width: 6px;
  display: inline-block;

  -webkit-animation: sk-stretchdelay 1.2s infinite ease-in-out;
  animation: sk-stretchdelay 1.2s infinite ease-in-out;
}

.spinner .rect2 {
  -webkit-animation-delay: -1.1s;
  animation-delay: -1.1s;
}

.spinner .rect3 {
  -webkit-animation-delay: -1s;
  animation-delay: -1s;
}

.spinner .rect4 {
  -webkit-animation-delay: -0.9s;
  animation-delay: -0.9s;
}

.spinner .rect5 {
  -webkit-animation-delay: -0.8s;
  animation-delay: -0.8s;
}

@-webkit-keyframes sk-stretchdelay {

  0%,
  40%,
  100% {
    -webkit-transform: scaleY(0.4);
  }

  20% {
    -webkit-transform: scaleY(1);
  }
}

@keyframes sk-stretchdelay {

  0%,
  40%,
  100% {
    transform: scaleY(0.4);
    -webkit-transform: scaleY(0.4);
  }

  20% {
    transform: scaleY(1);
    -webkit-transform: scaleY(1);
  }
}

/* .swal-button--confirm {
    background: #009241;
} */
.swal-button--cancel {
  background: #aaa;
}

.swal-button--danger {
  background: #a00;
}

#dbtable {
  margin: 0 auto;
  width: 100%;
  clear: both;
  border-collapse: collapse;
  table-layout: fixed;
  word-wrap: break-word;
}

#placeData {
  display: none;
  position: absolute;
  background: white;
  width: 350px;
  top: 52px;
  left: 12px;
  z-index: 1001;
  border: solid 2px #28a745;
}

#closePlaceData {
  width: 100%;
  background: white;
}

#closePlaceBtn {
  position: absolute;
  top: 2px;
  right: 4px;
  width: 18px;
  height: 18px;
  background: url(../static/img/close.png) no-repeat;
  background-color: white;
  background-position: 2px 2px;
  background-size: 15px 15px;
  cursor: pointer;
  outline: none;
}

.popBtn_a {
  float: right;
  width: 100px;
  margin-top: 15px;
  text-align: center;
  color: white !important;
  background-color: #28a745;
  border: solid 1px #28a745;
  border-radius: 5px;
  color: white;
  line-height: 30px;
  margin-top: 5px;
}

#placeType {
  font-size: 15px;
  padding-left: 10px;
  line-height: 30px;
  font-weight: bold;
}

#placeDataBox {
  max-height: 600px;

  overflow: scroll;
  overflow-x: hidden;
}

.onePlace {
  padding: 10px 10px 50px 10px;
  line-height: 23px;
  border-top: solid 1px #28a745;
}

.onePlaceLeft {
  font-weight: bold;
}

.pointPopup {
  font-size: 15px;
  padding-bottom: 35px;
  color: #333;
}

.pointPopup div {
  line-height: 30px;
  padding-right: 10px;
  width: 300px;
}

.pointPopup select {
  display: inline-block;
  height: 26px;
  line-height: 26px;
}

.pointPopup span {
  display: inline-block;
  width: 400px;
  text-align: left;
}

.pointPopup p {
  display: inline-block;
  margin: 0px;
}

.placeName {
  font-weight: bold;
}

.popBtn {
  float: right;
  width: 100px;
  margin-top: 15px;
  background-color: #28a745;
  border: solid 1px #28a745;
  border-radius: 5px;
  color: white;
  line-height: 30px;
  margin-top: 5px;
}

.popBtn:hover {
  background-color: #28a745;
}

#soilListBox {
  display: none;
  z-index: 999;
  /*display: none;*/
  position: absolute;
  bottom: 20px;
  right: 10px;
  width: 200px;
  padding: 5px;
  background-color: rgba(255, 255, 255, 0.9);
  font-size: 14px;
  border: solid 2px #28a745;
  box-shadow: 0px 0px 5px rgba(0, 0, 0, 0.2);
}

.clabel {
  display: inline;
  margin-bottom: 0;
}

.leaflet-control-loader {
  position: absolute;
  z-index: 1002;
  height: 100%;
  width: 100%;
  border-radius: 10px;
  background: url('/static/img/loader.gif') center center no-repeat rgba(255, 255, 255, 0.8);
  background-size: 50px 50px;
}

.file-upload {
  background-color: #ffffff;
  width: 600px;
  margin: 0 auto;
  padding: 20px;
}

.file-upload-btn {
  width: 100%;
  margin: 0;
  color: #fff;
  background: #1fb264;
  border: none;
  padding: 10px;
  border-radius: 4px;
  border-bottom: 4px solid #15824b;
  transition: all 0.2s ease;
  outline: none;
  text-transform: uppercase;
  font-weight: 700;
}

.file-upload-btn:hover {
  background: #1aa059;
  color: #ffffff;
  transition: all 0.2s ease;
  cursor: pointer;
}

.file-upload-btn:active {
  border: 0;
  transition: all 0.2s ease;
}

.file-upload-content {
  display: none;
  text-align: center;
}

.file-upload-input {
  position: absolute;
  margin: 0;
  padding: 0;
  width: 100%;
  height: 100%;
  outline: none;
  opacity: 0;
  cursor: pointer;
}

.image-upload-wrap {
  margin-top: 20px;
  border: 4px dashed #1fb264;
  position: relative;
}

.image-dropping,
.image-upload-wrap:hover {
  background-color: #1fb264;
  border: 4px dashed #ffffff;
}

.image-title-wrap {
  padding: 0 15px 15px 15px;
  color: #222;
}

.drag-text {
  text-align: center;
}

.drag-text h3 {
  font-weight: 100;
  text-transform: uppercase;
  color: #15824b;
  padding: 60px 0;
}

.file-upload-image {
  max-height: 200px;
  max-width: 200px;
  margin: auto;
  padding: 20px;
}

.remove-image {
  width: 200px;
  margin: 0;
  color: #fff;
  background: #cd4535;
  border: none;
  padding: 10px;
  border-radius: 4px;
  border-bottom: 4px solid #b02818;
  transition: all 0.2s ease;
  outline: none;
  text-transform: uppercase;
  font-weight: 700;
}

.remove-image:hover {
  background: #c13b2a;
  color: #ffffff;
  transition: all 0.2s ease;
  cursor: pointer;
}

.remove-image:active {
  border: 0;
  transition: all 0.2s ease;
}

/* #dbtable_csv {
  width: 1000px;
}*/

/* #dbtable_csv {
overflow: auto;
display: block;
table-layout: auto;
} */

.pagination>li>a {
  background-color: white;
  color: #28a745;
}

.pagination>li>a:focus,
.pagination>li>a:hover,
.pagination>li>span:focus,
.pagination>li>span:hover {
  color: #5a5a5a;
  background-color: #eee;
  border-color: #ddd;
}

.pagination>.active>a {
  color: white;
  background-color: #28a745 !important;
  border: solid 1px #28a745 !important;
}

.pagination>.active>a:hover {
  background-color: #28a745 !important;
  border: solid 1px #28a745;
}

.btn-hide {
  visibility: hidden;
}

#collapse {
  overflow: auto;
  max-height: 600px;
}

.full_modal-dialog {
  width: 80% !important;
  max-width: 80% !important;
}